Тёмный

Kth Smallest element in a matrix | Leetcode  

Techdose
Подписаться 177 тыс.
Просмотров 7 тыс.
50% 1

🟣 JOIN our 𝐋𝐈𝐕𝐄 𝐢𝐧𝐭𝐞𝐫𝐯𝐢𝐞𝐰 𝐭𝐫𝐚𝐢𝐧𝐢𝐧𝐠 𝐩𝐫𝐨𝐠𝐫𝐚𝐦 through whatsapp query: +91 8918633037
🟣 𝐂𝐡𝐞𝐜𝐤𝐨𝐮𝐭 𝐚𝐥𝐥 𝐨𝐮𝐫 𝐂𝐨𝐮𝐫𝐬𝐞𝐬: techdose.co.in/
This video explains how to find the kth smallest element in a matrix. We have discussed multiple techniques for solving this problem starting from bruteforce to heap and ending with the most optimal binary search technique.
----------------------------------------------------------------------------------------------------------------------------------------------------------------
🟢 𝐓𝐞𝐜𝐡𝐝𝐨𝐬𝐞-𝟏𝟎𝟎 𝐬𝐡𝐞𝐞𝐭: docs.google.co...
🟢 TELEGRAM channel ( 𝐏𝐃𝐅 𝐨𝐟 𝐯𝐢𝐝𝐞𝐨): t.me/codewithTECHDOSE
🔵 LinkedIn: / surya-pratap-kahar-47b...
🔴INSTAGRAM: / surya.pratap.k
---------------------------------------------------------------------------------------------------------------------------------------------------------------
Sliding Window Maximum: • Sliding Window Maximum...
𝐂𝐎𝐃𝐄 𝐋𝐈𝐍𝐊: gist.github.co...

Опубликовано:

 

16 окт 2024

Поделиться:

Ссылка:

Скачать:

Готовим ссылку...

Добавить в:

Мой плейлист
Посмотреть позже
Комментарии : 11   
@AkashGupta-sh1pd
@AkashGupta-sh1pd 5 месяцев назад
A very important point to mention here is that mid element may or may not exists the the matrix But since with keep high = mid (even for the case count_smaller == k), we sort of tend to converge to the lowest element in the matrix where count_smaller == k. Hope this helps, if not I will post link to the solution where I have written print stmt to have full clarity
@akulajyoshnavi
@akulajyoshnavi 5 месяцев назад
thanks..!!
@hymnish_you
@hymnish_you Месяц назад
Thanks Bhaiya, Awesome explanation as usual.
@techdose4u
@techdose4u 23 дня назад
Always welcome
@RishinderRana
@RishinderRana 6 месяцев назад
The best video for this problem so far
@techdose4u
@techdose4u 3 месяца назад
Thanks
@debapriyachandra1767
@debapriyachandra1767 7 месяцев назад
We can optimise the count function! Using 2 pointers! You can look into the discussion section
@nandanimadhukar
@nandanimadhukar 3 месяца назад
very good explanation and technique
@techdose4u
@techdose4u 3 месяца назад
Thanks
@prasadm3614
@prasadm3614 8 месяцев назад
Loved it !
@techdose4u
@techdose4u 3 месяца назад
Thanks
Далее
K Inverse Pairs Array - Leetcode 629 - Python
29:44
Просмотров 16 тыс.
Remove K digits | Build lowest number | Leetcode #402
15:30
Maximum Swap | 4 techniques | Leetcode 670
19:05
Trick for spiral matrix traversal
10:12
Просмотров 208 тыс.
I gave 127 interviews. Top 5 Algorithms they asked me.
8:36
20 System Design Concepts Explained in 10 Minutes
11:41